about summary refs log tree commit homepage
diff options
context:
space:
mode:
-rw-r--r--t/cramp/rainsocket.ru2
-rwxr-xr-xt/t0501-cramp-rainsocket.sh1
2 files changed, 2 insertions, 1 deletions
diff --git a/t/cramp/rainsocket.ru b/t/cramp/rainsocket.ru
index 0d26f70..dd1b229 100644
--- a/t/cramp/rainsocket.ru
+++ b/t/cramp/rainsocket.ru
@@ -19,7 +19,7 @@ class WelcomeController < Cramp::Controller::Websocket
   end
 
   def send_hello_world
-    render "Hello from the Server!\n"
+    render("Hello from the Server!\n" * 256)
   end
 end
 
diff --git a/t/t0501-cramp-rainsocket.sh b/t/t0501-cramp-rainsocket.sh
index 6e3aea4..a64145a 100755
--- a/t/t0501-cramp-rainsocket.sh
+++ b/t/t0501-cramp-rainsocket.sh
@@ -24,6 +24,7 @@ t_begin "setup and start" && {
 
 t_begin "wait for server to say hello to us" && {
         ok=$((curl --no-buffer -sS http://$listen/ || :) | \
+             (tr -d '\0\0377' || :) | \
              awk '/Hello from the Server/ { print "ok"; exit 0 }')
 
         test x"$ok" = xok